<?php
namespace SlimSEOPro\Schema\Renderer\Factory;

use SlimSEOPro\Schema\Renderer\VariableRenderer;

class Factory {
	public static function make( VariableRenderer $variable_renderer ): Base {
		if ( defined( 'WPSEO_FILE' ) ) {
			return new Yoast( $variable_renderer );
		} elseif ( defined( 'SLIM_SEO_VER' ) ) {
			return new SlimSEO( $variable_renderer );
		} else {
			return new Standalone( $variable_renderer );
		}
	}
}
